-- `LOAD DATA INFILE` 文内の `your_upload_data_location` を、ご自身の環境に適したパスに変更してください。
-- 例: C:/ProgramData/MySQL/MySQL Server 8.0/Uploads/p4ds2023
-- 変更箇所は 44 か所あるため、VS Code などのテキストエディターを使用し、一括置換すると便利です。

-- Update `your_upload_data_location` in the `LOAD DATA INFILE` statements to match your environment's file path.
-- Example: C:/ProgramData/MySQL/MySQL Server 8.0/Uploads/p4ds2023
-- Since there are 44 occurrences, using a text editor like VS Code for batch replacement is recommended.

LOAD DATA INFILE "your_upload_data_location/m_gender.csv"
INTO TABLE `m_gender`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_university_major.csv"
INTO TABLE `m_university_major`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_age.csv"
INTO TABLE `m_age`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS
(year, age_code, age_jp, @age_value)
SET age_value = CASE
    WHEN TRIM(@age_value) = '' THEN NULL
    WHEN TRIM(@age_value) REGEXP '^[0-9]+$' THEN TRIM(@age_value)
    ELSE NULL -- 不正な値はNULLにする
END;

LOAD DATA INFILE "your_upload_data_location/m_employment_status.csv"
INTO TABLE `m_employment_status`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_number_of_employees.csv"
INTO TABLE `m_number_of_employees`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS
(year, number_of_employees_code, number_of_employees_jp, @number_of_employees_value)
SET number_of_employees_value = CASE
    WHEN TRIM(@number_of_employees_value) = '' THEN NULL
    WHEN TRIM(@number_of_employees_value) REGEXP '^[0-9]+$' THEN TRIM(@number_of_employees_value)
    ELSE NULL -- 不正な値はNULLにする
END;

LOAD DATA INFILE "your_upload_data_location/m_industry.csv"
INTO TABLE `m_industry`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_job_title.csv"
INTO TABLE `m_job_title`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_annual_income.csv"
INTO TABLE `m_annual_income`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS
(year, annual_income_code, annual_income_jp, @annual_income_value)
SET annual_income_value = CASE
    WHEN TRIM(@annual_income_value) = '' THEN NULL
    WHEN TRIM(@annual_income_value) REGEXP '^[0-9]+$' THEN TRIM(@annual_income_value)
    ELSE NULL -- 不正な値はNULLにする
END;

LOAD DATA INFILE "your_upload_data_location/m_highest_education_level.csv"
INTO TABLE `m_highest_education_level`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_core_attribute.csv"
INTO TABLE `t_core_attribute`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS
(year, response_id, gender_code, age_code, employment_status_code, 
 number_of_employees_code, industry_code, job_title_code, 
 annual_income_code, highest_education_level_code, university_major_code)
SET 
    gender_code = NULLIF(gender_code, 0),
    age_code = NULLIF(age_code, 0),
    employment_status_code = NULLIF(employment_status_code, 0),
    number_of_employees_code = NULLIF(number_of_employees_code, 0),
    industry_code = NULLIF(industry_code, 0),
    job_title_code = NULLIF(job_title_code, 0),
    annual_income_code = NULLIF(annual_income_code, 0),
    highest_education_level_code = NULLIF(highest_education_level_code, 0),
    university_major_code = NULLIF(university_major_code, 0);

LOAD DATA INFILE "your_upload_data_location/m_type_prefecture.csv"
INTO TABLE `m_type_prefecture`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_prefecture.csv"
INTO TABLE `m_prefecture`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_prefecture_wide.csv"
INTO TABLE `t_prefecture_wide`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS
(year, response_id, residence_prefecture_code, work_prefecture_code, university_prefecture_code, high_school_prefecture_code)
SET
    residence_prefecture_code = NULLIF(residence_prefecture_code, 0),
    work_prefecture_code = NULLIF(work_prefecture_code, 0),
    university_prefecture_code = NULLIF(university_prefecture_code, 0),
    high_school_prefecture_code = NULLIF(high_school_prefecture_code, 0);

LOAD DATA INFILE "your_upload_data_location/t_prefecture_long.csv"
INTO TABLE `t_prefecture_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_type_field.csv"
INTO TABLE `m_type_field`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_field.csv"
INTO TABLE `m_field`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_learning_source.csv"
INTO TABLE `m_learning_source`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_further_study_reason.csv"
INTO TABLE `m_further_study_reason`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_field_long.csv"
INTO TABLE `t_field_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_workingfield_and_learningsource_paired_long.csv"
INTO TABLE `t_workingfield_and_learningsource_paired_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_furtherstudyfield_and_reason_paired_long.csv"
INTO TABLE `t_furtherstudyfield_and_reason_paired_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_type_course.csv"
INTO TABLE `m_type_course`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_course.csv"
INTO TABLE `m_course`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_course_long.csv"
INTO TABLE `t_course_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_type_job_sub_category.csv"
INTO TABLE `m_type_job_sub_category`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_job_sub_category.csv"
INTO TABLE `m_job_sub_category`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_job_sub_category_long.csv"
INTO TABLE `t_job_sub_category_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_job_area.csv"
INTO TABLE `m_job_area`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_job_area_long.csv"
INTO TABLE `t_job_area_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_type_it_skill.csv"
INTO TABLE `m_type_it_skill`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_it_skill.csv"
INTO TABLE `m_it_skill`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_it_skill_status.csv"
INTO TABLE `m_it_skill_status`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_it_skill_long.csv"
INTO TABLE `t_it_skill_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_researcher_perspective.csv"
INTO TABLE `m_researcher_perspective`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_researcher_perspective_status.csv"
INTO TABLE `m_researcher_perspective_status`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_researcher_perspective_long.csv"
INTO TABLE `t_researcher_perspective_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_work_detail.csv"
INTO TABLE `m_work_detail`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_work_detail_status.csv"
INTO TABLE `m_work_detail_status`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_work_detail_long.csv"
INTO TABLE `t_work_detail_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_higher_education.csv"
INTO TABLE `m_higher_education`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_higher_education_status.csv"
INTO TABLE `m_higher_education_status`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_higher_education_long.csv"
INTO TABLE `t_higher_education_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/m_career_change_experience.csv"
INTO TABLE `m_career_change_experience`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

LOAD DATA INFILE "your_upload_data_location/t_career_change_experience_long.csv"
INTO TABLE `t_career_change_experience_long`
FIELDS TERMINATED BY ','
LINES TERMINATED BY '\n'
IGNORE 1 ROWS;

